# -*- coding: UTF-8 -*

"""Unit tests for caches


Ce test suppose une base département existante.

Usage: pytest tests/unit/test_caches.py
"""


from flask import current_app

from app import db
from app.scodoc import sco_cache
from app.scodoc import sco_formsemestre

DEPT = "RT"  # ce département (BD) doit exister


def test_notes_table(test_client):
    """Test construction et cache de NotesTable"""
    sems = sco_formsemestre.do_formsemestre_list(None)
    assert len(sems)
    sem = sems[0]
    formsemestre_id = sem["formsemestre_id"]
    nt = sco_cache.NotesTableCache.get(formsemestre_id)
    assert nt
    assert sco_cache.NotesTableCache.get(formsemestre_id, compute=False)
    sco_cache.invalidate_formsemestre(formsemestre_id)
    assert not sco_cache.NotesTableCache.get(formsemestre_id, compute=False)
